import { type Request, type NextFunction } from 'express'
import { type Response } from '../../../response'
import { AfterHandlerMiddleware } from '../../after.handler.middleware'
import { Helper } from '../../../helper'

export class SendResponseMiddleware extends AfterHandlerMiddleware {
  public handle(_req: Request, res: Response, _next: NextFunction): void {
    res.setHeader('x-powered-by', 'dino')
    res.format({
      xml: () => {
        res.send(Helper.format(res.body, 'application/xml'))
      },
      json: () => {
        res.send(res.body)
      },
      default: () => {
        res.send(res.body)
      }
    })
  }
}
